MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025825Open CASCADE[OCCT] OCCT:DRAWpublic2015-02-13 11:492015-05-14 16:29
Reporterkgv 
Assigned Toabv 
PrioritylowSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025825: Draw Harness, XSDRAWSTLVRML - drop command tovrml and XSDRAWSTLVRML_ToVRML
DescriptionIt seems tovrml is duplicating functionality of writevrml in weird way (e.g. with auto-triangulation) and thus should be eliminated.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025279closedbugmaster Open CASCADE OCCT fails to read VRML file created by OCCT 
related to 0023200closedbugmaster Community Visualization - prevent multiple triangulating of a shape that already has been triangulated 

-  Notes
(0040624)
git (administrator)
2015-05-06 14:51

Branch CR25825 has been created by ski.

SHA-1: f4c8caffe75d2ae3d46e5c21c50e80f45e2c4f88


Detailed log of new commits:

Author: ski
Date: Wed May 6 14:22:49 2015 +0300

    0025825: Draw Harness, XSDRAWSTLVRML - drop command tovrml and XSDRAWSTLVRML_ToVRML
    
    Command tovrml was eliminated.
(0040625)
ski (developer)
2015-05-06 14:53

Command tovrml and class XSDRAWSTLVRML_ToVRML were eliminated.

It seems that command tovrml is not used in tests.

Please, review.
(0040628)
kgv (developer)
2015-05-06 15:02

Just check compilation, nothing to test.
(0040629)
abv (manager)
2015-05-06 15:02

Reviewed, please integrate. No testing is needed
(0040655)
git (administrator)
2015-05-06 17:58

Branch CR25825 has been updated forcibly by apv.

SHA-1: 4caca47e186ed75e45e4f4fc64e0cb0d1fbdbb02
(0040656)
apv (tester)
2015-05-06 17:59

Branch CR25825 has been rebased on IR-2015-04-30
(0040699)
apv (tester)
2015-05-07 11:12

Dear BugMaster,

Branch CR25825 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 4caca47e186ed75e45e4f4fc64e0cb0d1fbdbb02

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
   Windows: 0 (0 on master)
(0041002)
git (administrator)
2015-05-14 16:29

Branch CR25825 has been deleted by inv.

SHA-1: 4caca47e186ed75e45e4f4fc64e0cb0d1fbdbb02

- Related Changesets
occt: master edbca3bf
Timestamp: 2015-05-06 11:22:49
Author: abv
Committer: abv
Details ] Diff ]
0025825: Draw Harness, XSDRAWSTLVRML - drop command tovrml and XSDRAWSTLVRML_ToVRML

Command tovrml was eliminated.
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cdl Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
rm - src/XSDRAWSTLVRML/XSDRAWSTLVRML_ToVRML.cdl Diff ] File ]
rm - src/XSDRAWSTLVRML/XSDRAWSTLVRML_ToVRML.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-13 11:49 kgv New Issue
2015-02-13 11:49 kgv Assigned To => gka
2015-02-13 11:49 kgv Assigned To gka => akz
2015-02-13 11:49 kgv Status new => assigned
2015-02-13 11:49 kgv Relationship added related to 0025279
2015-02-13 11:51 kgv Description Updated View Revisions
2015-02-13 11:57 kgv Relationship added related to 0023200
2015-04-30 10:13 abv Assigned To akz => ski
2015-05-06 06:50 abv Target Version 6.9.0 => 7.1.0
2015-05-06 14:51 git Note Added: 0040624
2015-05-06 14:53 ski Note Added: 0040625
2015-05-06 14:53 ski Assigned To ski => kgv
2015-05-06 14:53 ski Status assigned => resolved
2015-05-06 15:02 kgv Note Added: 0040628
2015-05-06 15:02 kgv Assigned To kgv => bugmaster
2015-05-06 15:02 kgv Status resolved => reviewed
2015-05-06 15:02 kgv Target Version 7.1.0 => 6.9.0
2015-05-06 15:02 abv Note Added: 0040629
2015-05-06 15:02 abv Assigned To bugmaster => kgv
2015-05-06 15:02 abv Status reviewed => resolved
2015-05-06 15:02 kgv Assigned To kgv => bugmaster
2015-05-06 15:02 kgv Priority normal => low
2015-05-06 15:02 kgv Status resolved => reviewed
2015-05-06 15:18 mkv Assigned To bugmaster => apv
2015-05-06 17:58 git Note Added: 0040655
2015-05-06 17:59 apv Note Added: 0040656
2015-05-07 11:11 apv Test case number => Not needed
2015-05-07 11:12 apv Note Added: 0040699
2015-05-07 11:12 apv Assigned To apv => bugmaster
2015-05-07 11:12 apv Status reviewed => tested
2015-05-08 15:49 abv Changeset attached => occt master edbca3bf
2015-05-08 15:49 abv Assigned To bugmaster => abv
2015-05-08 15:49 abv Status tested => verified
2015-05-08 15:49 abv Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:29 git Note Added: 0041002


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker